Bug 1555935 - Intel Corporation Wireless 8265 / 8275 (rev 78) stop working after kernel upgrade
Summary: Intel Corporation Wireless 8265 / 8275 (rev 78) stop working after kernel upg...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: iwlwifi-firmware
Version: 27
Hardware: x86_64
OS: Linux
high
urgent
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-14 21:41 UTC by josip_pojatina
Modified: 2019-10-21 11:59 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 22:08:08 UTC


Attachments (Terms of Use)

Description josip_pojatina 2018-03-14 21:41:48 UTC
Description of problem:

On a new laptop with Fedora 27, after some of the kernel updates in the last month, Intel Corporation Wireless 8265 / 8275 (rev 78) wifi stop working. 

dmesg | grep wifi

[   14.892325] iwlwifi 0000:03:00.0: Direct firmware load for iwlwifi-8265-34.ucode failed with error -2
[   14.892339] iwlwifi 0000:03:00.0: Direct firmware load for iwlwifi-8265-33.ucode failed with error -2
[   14.892348] iwlwifi 0000:03:00.0: Direct firmware load for iwlwifi-8265-32.ucode failed with error -2
[   14.892356] iwlwifi 0000:03:00.0: Direct firmware load for iwlwifi-8265-31.ucode failed with error -2
[   14.892364] iwlwifi 0000:03:00.0: Direct firmware load for iwlwifi-8265-30.ucode failed with error -2
[   14.892371] iwlwifi 0000:03:00.0: Direct firmware load for iwlwifi-8265-29.ucode failed with error -2
[   14.892378] iwlwifi 0000:03:00.0: Direct firmware load for iwlwifi-8265-28.ucode failed with error -2
[   14.892386] iwlwifi 0000:03:00.0: Direct firmware load for iwlwifi-8265-27.ucode failed with error -2
[   14.892393] iwlwifi 0000:03:00.0: Direct firmware load for iwlwifi-8265-26.ucode failed with error -2
[   14.892402] iwlwifi 0000:03:00.0: Direct firmware load for iwlwifi-8265-25.ucode failed with error -2
[   14.892409] iwlwifi 0000:03:00.0: Direct firmware load for iwlwifi-8265-24.ucode failed with error -2
[   14.892416] iwlwifi 0000:03:00.0: Direct firmware load for iwlwifi-8265-23.ucode failed with error -2
[   14.892424] iwlwifi 0000:03:00.0: Direct firmware load for iwlwifi-8265-22.ucode failed with error -2
[   14.892425] iwlwifi 0000:03:00.0: no suitable firmware found!
[   14.893318] iwlwifi 0000:03:00.0: minimum version required: iwlwifi-8265-22
[   14.894066] iwlwifi 0000:03:00.0: maximum version supported: iwlwifi-8265-34
[   14.894809] iwlwifi 0000:03:00.0: check git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git



iwconfig 
enp0s31f6  no wireless extensions.

lo        no wireless extensions.

enp13s0   no wireless extensions.


modprobe -a wl
modprobe: WARNING: Module wl not found in directory /lib/modules/4.15.7-300.fc27.x86_64


lsmod | grep wifi
iwlwifi               249856  0
cfg80211              733184  1 iwlwifi


lspci -nnk |more

03:00.0 Network controller [0280]: Intel Corporation Wireless 8265 / 8275 [8086:24fd] (rev 78)
	Subsystem: Intel Corporation Dual Band Wireless-AC 8265 [8086:0010]
	Kernel modules: iwlwifi






Version-Release number of selected component (if applicable):

uname -r
4.15.8-300.fc27.x86_64


How reproducible:
With new kernel, Intel wireless firmware is not updated. 

Steps to Reproduce:
1. Fresh installation of Fedora 27 ---> wifi is working fine
2. dnf update 
3. Wifi stops to work.

Actual results:
No wifi icon in top right corner of Gnome 3.

Expected results:
Wifi icon and in Settings possibility to enable/disable wifi. 


Additional info:

i tried with USB wifi (tp-link), and it is working with no issue at all.

Comment 1 daniel 2018-05-08 07:58:18 UTC
have the exact same with fedora 28:


3a:00.0 Network controller: Intel Corporation Wireless 8265 / 8275 (rev 78)


$ dmesg | grep wifi
[   12.213750] iwlwifi 0000:3a:00.0: enabling device (0000 -> 0002)
[   12.221957] iwlwifi 0000:3a:00.0: Direct firmware load for iwlwifi-8265-36.ucode failed with error -2
[   12.221968] iwlwifi 0000:3a:00.0: Direct firmware load for iwlwifi-8265-35.ucode failed with error -2
[   12.221978] iwlwifi 0000:3a:00.0: Direct firmware load for iwlwifi-8265-34.ucode failed with error -2
[   12.221987] iwlwifi 0000:3a:00.0: Direct firmware load for iwlwifi-8265-33.ucode failed with error -2
[   12.221996] iwlwifi 0000:3a:00.0: Direct firmware load for iwlwifi-8265-32.ucode failed with error -2
[   12.222011] iwlwifi 0000:3a:00.0: Direct firmware load for iwlwifi-8265-31.ucode failed with error -2
[   12.222020] iwlwifi 0000:3a:00.0: Direct firmware load for iwlwifi-8265-30.ucode failed with error -2
[   12.222028] iwlwifi 0000:3a:00.0: Direct firmware load for iwlwifi-8265-29.ucode failed with error -2
[   12.222036] iwlwifi 0000:3a:00.0: Direct firmware load for iwlwifi-8265-28.ucode failed with error -2
[   12.222045] iwlwifi 0000:3a:00.0: Direct firmware load for iwlwifi-8265-27.ucode failed with error -2
[   12.222054] iwlwifi 0000:3a:00.0: Direct firmware load for iwlwifi-8265-26.ucode failed with error -2
[   12.222062] iwlwifi 0000:3a:00.0: Direct firmware load for iwlwifi-8265-25.ucode failed with error -2
[   12.222070] iwlwifi 0000:3a:00.0: Direct firmware load for iwlwifi-8265-24.ucode failed with error -2
[   12.222079] iwlwifi 0000:3a:00.0: Direct firmware load for iwlwifi-8265-23.ucode failed with error -2
[   12.222087] iwlwifi 0000:3a:00.0: Direct firmware load for iwlwifi-8265-22.ucode failed with error -2
[   12.222089] iwlwifi 0000:3a:00.0: no suitable firmware found!
[   12.222092] iwlwifi 0000:3a:00.0: minimum version required: iwlwifi-8265-22
[   12.222094] iwlwifi 0000:3a:00.0: maximum version supported: iwlwifi-8265-36
[   12.222095] iwlwifi 0000:3a:00.0: check git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git


4.16.6-302.fc28.x86_64 #1 SMP Wed May 2 00:07:06 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

Comment 2 daniel 2018-05-08 08:09:28 UTC
workaround for me:
- follow https://wireless.wiki.kernel.org/en/users/drivers/iwlwifi
  - download driver for your cared and unpack
  - # cp iwlwifi-*.ucode /lib/firmware  
  - reboot
  -  wifi is back

Comment 3 Rafael Azevedo 2018-05-30 18:24:32 UTC
(In reply to daniel from comment #2)
> workaround for me:
> - follow https://wireless.wiki.kernel.org/en/users/drivers/iwlwifi
>   - download driver for your cared and unpack
>   - # cp iwlwifi-*.ucode /lib/firmware  
>   - reboot
>   -  wifi is back

I had the same issue when updating to kernel 4.16.12-300.fc28.x86_64, your work around resolved the issue for now.

Comment 4 lorenzo bianconi 2018-06-06 08:15:15 UTC
Please try to install linux-firmware-20180525-85.git7518922b.fc28.noarch.rpm

Comment 5 Konrad Paumann 2018-06-19 08:04:05 UTC
I have above linux-firmware version installed but the iwlwifi stopped working after the kernel update.
Resolved it with Daniels workaround.

Comment 6 Ben Cotton 2018-11-27 15:02:10 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2018-11-30 22:08:08 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 8 Attila Fazekas 2019-04-08 15:08:13 UTC
Fedora 29:

[  177.852428] iwlwifi 0000:04:00.0: no suitable firmware found!
[  177.852429] iwlwifi 0000:04:00.0: minimum version required: iwlwifi-8265-22
[  177.852430] iwlwifi 0000:04:00.0: maximum version supported: iwlwifi-8265-36
[  177.852431] iwlwifi 0000:04:00.0: check git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git


iwl7260-firmware package has related firmwares,
but totally not intuitive to search 8265-36 firmware in 7260 .

The way to figure it out was:
dnf install /usr/lib/firmware/iwlwifi-8265-36.ucode

Please add 8265 at least to the description of the 7260 package (make 8265 dnf searchable) or move it to a different package.

Comment 9 Bartłomiej Garbiec 2019-08-11 22:02:57 UTC
Also had that problem in F30, but I am not sure if it wasn't because of installing and then removing @cinnamon-desktop-environment.


# dmesg | grep wifi
[    7.495521] iwlwifi 0000:02:00.0: Direct firmware load for iwlwifi-7265D-29.ucode failed with error -2
[    7.496752] iwlwifi 0000:02:00.0: Direct firmware load for iwlwifi-7265D-28.ucode failed with error -2
[    7.496780] iwlwifi 0000:02:00.0: Direct firmware load for iwlwifi-7265D-27.ucode failed with error -2
[    7.496796] iwlwifi 0000:02:00.0: Direct firmware load for iwlwifi-7265D-26.ucode failed with error -2
[    7.496809] iwlwifi 0000:02:00.0: Direct firmware load for iwlwifi-7265D-25.ucode failed with error -2
[    7.496822] iwlwifi 0000:02:00.0: Direct firmware load for iwlwifi-7265D-24.ucode failed with error -2
[    7.496834] iwlwifi 0000:02:00.0: Direct firmware load for iwlwifi-7265D-23.ucode failed with error -2
[    7.496846] iwlwifi 0000:02:00.0: Direct firmware load for iwlwifi-7265D-22.ucode failed with error -2
[    7.496848] iwlwifi 0000:02:00.0: no suitable firmware found!
[    7.496850] iwlwifi 0000:02:00.0: minimum version required: iwlwifi-7265D-22
[    7.496851] iwlwifi 0000:02:00.0: maximum version supported: iwlwifi-7265D-29
[    7.496852] iwlwifi 0000:02:00.0: check git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
[ 2025.938812] audit: type=1123 audit(1565559999.541:320): pid=5566 uid=1000 auid=1000 ses=3 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 msg='cwd="/home/bartek/Pobrane/iwlwifi-7265-ucode-25.30.14.0" cmd="su" exe="/usr/bin/sudo" terminal=pts/0 res=success'


Installing "iwlwifi-7265D-29.ucode" (by dnf) from "linux-firmware-20190717.tar.gz" downloaded from that given git site solved problem for now.

Comment 10 jakub.dybczak 2019-08-16 22:02:07 UTC
I had same problem as @Bartłomiej Garbiec after installing and removing deepin-desktop.

Solved by cloning linux-firmware.git repo and invoking:

sudo cp iwlwifi-7265D-29.ucode /lib/firmware

Comment 11 Esteban Manchado Velázquez 2019-10-21 10:50:56 UTC
For the record, it just happened to me in a brand new ThinkPad T480s. The solution in comment 8 ("dnf install /usr/lib/firmware/iwlwifi-8265-36.ucode") worked fine.

Comment 12 Esteban Manchado Velázquez 2019-10-21 11:03:57 UTC
(In reply to Esteban Manchado Velázquez from comment #11)
> For the record, it just happened to me in a brand new ThinkPad T480s. The
> solution in comment 8 ("dnf install
> /usr/lib/firmware/iwlwifi-8265-36.ucode") worked fine.

Sorry, I forgot to specify this is Fedora 30.

Comment 13 Esteban Manchado Velázquez 2019-10-21 11:28:58 UTC
(In reply to Esteban Manchado Velázquez from comment #12)
> (In reply to Esteban Manchado Velázquez from comment #11)
> > For the record, it just happened to me in a brand new ThinkPad T480s. The
> > solution in comment 8 ("dnf install
> > /usr/lib/firmware/iwlwifi-8265-36.ucode") worked fine.
> 
> Sorry, I forgot to specify this is Fedora 30.

Also, looking at logs, I remembered that the Wi-Fi *did* work the first day, and then it didn't work a couple of days after. So maybe it was something I did, after all. I don't know anymore. So take that with a grain of salt.

Comment 14 Esteban Manchado Velázquez 2019-10-21 11:59:04 UTC
Hey, sorry for the spam. I kept on digging, and I found the relevant log lines from Friday (the day in which the Wi-Fi didn't work). This might help explain and debug the issue:

Oct 18 08:03:19 localhost.localdomain kernel: iwlwifi 0000:3d:00.0: Found debug destination: EXTERNAL_DRAM
Oct 18 08:03:19 localhost.localdomain kernel: iwlwifi 0000:3d:00.0: Found debug configuration: 0
Oct 18 08:03:19 localhost.localdomain kernel: iwlwifi 0000:3d:00.0: loaded firmware version 36.77d01142.0 op_mode iwlmvm
Oct 18 08:03:19 localhost.localdomain kernel: iwlwifi 0000:3d:00.0: Detected Intel(R) Dual Band Wireless AC 8265, REV=0x230
Oct 18 08:03:19 localhost.localdomain kernel: iwlwifi 0000:3d:00.0: Applying debug destination EXTERNAL_DRAM
Oct 18 08:03:19 localhost.localdomain kernel: iwlwifi 0000:3d:00.0: Allocated 0x00400000 bytes for firmware monitor.
Oct 18 08:03:20 localhost.localdomain kernel: iwlwifi 0000:3d:00.0: Collecting data: trigger 15 fired.
Oct 18 08:03:20 localhost.localdomain kernel: iwlwifi 0000:3d:00.0: Not valid error log pointer 0x00000000 for Init uCode
Oct 18 08:03:20 localhost.localdomain kernel: iwlwifi 0000:3d:00.0: Fseq Registers:
Oct 18 08:03:20 localhost.localdomain kernel: iwlwifi 0000:3d:00.0: 0x294142A4 | FSEQ_ERROR_CODE
Oct 18 08:03:20 localhost.localdomain kernel: iwlwifi 0000:3d:00.0: 0x88234236 | FSEQ_TOP_INIT_VERSION
Oct 18 08:03:20 localhost.localdomain kernel: iwlwifi 0000:3d:00.0: 0x4D2356EC | FSEQ_CNVIO_INIT_VERSION
Oct 18 08:03:20 localhost.localdomain kernel: iwlwifi 0000:3d:00.0: 0x0000A10B | FSEQ_OTP_VERSION
Oct 18 08:03:20 localhost.localdomain kernel: iwlwifi 0000:3d:00.0: 0x972D6362 | FSEQ_TOP_CONTENT_VERSION
Oct 18 08:03:20 localhost.localdomain kernel: iwlwifi 0000:3d:00.0: 0xF77D4D9F | FSEQ_ALIVE_TOKEN
Oct 18 08:03:20 localhost.localdomain kernel: iwlwifi 0000:3d:00.0: 0x73FC666C | FSEQ_CNVI_ID
Oct 18 08:03:20 localhost.localdomain kernel: iwlwifi 0000:3d:00.0: 0x3FC8F99A | FSEQ_CNVR_ID
Oct 18 08:03:20 localhost.localdomain kernel: iwlwifi 0000:3d:00.0: 0x00000010 | CNVI_AUX_MISC_CHIP
Oct 18 08:03:20 localhost.localdomain kernel: iwlwifi 0000:3d:00.0: 0x0BADCAFE | CNVR_AUX_MISC_CHIP
Oct 18 08:03:20 localhost.localdomain kernel: iwlwifi 0000:3d:00.0: 0x0BADCAFE | CNVR_SCU_SD_REGS_SD_REG_DIG_DCDC_VTRIM
Oct 18 08:03:20 localhost.localdomain kernel: iwlwifi 0000:3d:00.0: 0x0BADCAFE | CNVR_SCU_SD_REGS_SD_REG_ACTIVE_VDIG_MIRROR
Oct 18 08:03:20 localhost.localdomain kernel: iwlwifi 0000:3d:00.0: SecBoot CPU1 Status: 0x3040001, CPU2 Status: 0x0
Oct 18 08:03:20 localhost.localdomain kernel: iwlwifi 0000:3d:00.0: Failed to start INIT ucode: -110
Oct 18 08:03:20 localhost.localdomain kernel: iwlwifi 0000:3d:00.0: Firmware not running - cannot dump error
Oct 18 08:03:20 localhost.localdomain kernel: iwlwifi 0000:3d:00.0: Failed to run INIT ucode: -110

This is in comparison to today, when it did work (the dnf command I tried this morning, which I claimed in comment 11 that fixed the issue, was probably a no-op because the package was already installed):

Oct 17 13:14:57 localhost.localdomain kernel: iwlwifi 0000:3d:00.0: Found debug destination: EXTERNAL_DRAM
Oct 17 13:14:57 localhost.localdomain kernel: iwlwifi 0000:3d:00.0: Found debug configuration: 0
Oct 17 13:14:57 localhost.localdomain kernel: iwlwifi 0000:3d:00.0: loaded firmware version 36.77d01142.0 op_mode iwlmvm
Oct 17 13:14:57 localhost.localdomain kernel: iwlwifi 0000:3d:00.0: Detected Intel(R) Dual Band Wireless AC 8265, REV=0x230
Oct 17 13:14:57 localhost.localdomain kernel: iwlwifi 0000:3d:00.0: Applying debug destination EXTERNAL_DRAM
Oct 17 13:14:57 localhost.localdomain kernel: iwlwifi 0000:3d:00.0: Allocated 0x00400000 bytes for firmware monitor.
Oct 17 13:14:57 localhost.localdomain kernel: iwlwifi 0000:3d:00.0: base HW address: 5c:87:9c:b9:11:1c
Oct 17 13:14:57 localhost.localdomain kernel: iwlwifi 0000:3d:00.0 wlp61s0: renamed from wlan0
Oct 17 13:15:09 localhost.localdomain kernel: iwlwifi 0000:3d:00.0: Applying debug destination EXTERNAL_DRAM
Oct 17 13:15:09 localhost.localdomain kernel: iwlwifi 0000:3d:00.0: Applying debug destination EXTERNAL_DRAM
Oct 17 13:15:09 localhost.localdomain kernel: iwlwifi 0000:3d:00.0: FW already configured (0) - re-configuring
Oct 17 13:15:09 localhost.localdomain kernel: iwlwifi 0000:3d:00.0: Applying debug destination EXTERNAL_DRAM
Oct 17 13:15:09 localhost.localdomain kernel: iwlwifi 0000:3d:00.0: Applying debug destination EXTERNAL_DRAM
Oct 17 13:15:09 localhost.localdomain kernel: iwlwifi 0000:3d:00.0: FW already configured (0) - re-configuring


Note You need to log in before you can comment on or make changes to this bug.